BOTCH-BUILD-FIXPOINT(1)

NAME
botch-build-fixpoint - find build order until dependency cycles occur

SYNOPSIS

botch-build-fixpoint [options] --available=AvailablePackages Packages.. Sources

DESCRIPTION
Given a list of source packages Sources, return the list of binary packages that can be built without having to break a dependency cycle. The algorithm repeatedly attempts to satisfy build dependencies of all source packages using the available binary packages from AvailablePackages and adds the binary packages of those source packages that satisfy their build dependencies to the set of available binary packages.

OPTIONS

--version
    show program's version and exit

-h, --help
    show this help message and exit

-v, --verbose
    print additional information

--quiet
    do no print any messages

-A, --available=AvailablePackages
    List of available packages (arch:all, crossed...) in control file format (setting this argument is required). Packages in this list have to be part of Packages.

--deb-drop-b-d-indep
    Drop Build-Depends-Indep dependencies

--deb-drop-b-d-arch
    Drop Build-Depends-Arch dependencies

--allowsrcmismatch
    If a binary package is without a source package but there is a source package of same name but different version, match this binary package to that source package.

--output-order=FILE
    instead of stderr, write the calculated build order to this file.

--fg=PKGS
    Additional Packages lists that are checked and used for resolving dependencies (can be repeated)

--bg=PKGS
    Additional Packages lists that are NOT checked but used for resolving dependencies (can be repeated)

-o, --outfile=FILE
    Set the output file FILE

--deb-native-arch=ARCH
    Native architecture ARCH

--deb-host-arch=arch
    Host architecture arch. Defaults to native architecture.

--deb-foreign-archs=archs
    Comma-separated foreign architectures in addition to native and host architectures.

EXAMPLE
Calculate the source packages that can be built in a given state:

 botch-build-fixpoint --deb-native-arch=amd64 --available packages-arch-all --output-order=order.lst packages sources

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.